Get versioned EHR_STATUS version by id
Retrieves a VERSION identified by version_uid of an EHR_STATUS associated with the EHR identified by ehr_id.
Path Parameters
- Type: string
ehr _id requiredEHR identifier taken from EHR.ehr_id.value.
- Type: string
version _uid requiredVERSION identifier taken from VERSION.uid.value.
Responses
- application/json
404 404 Not Foundis returned when an EHR withehr_iddoes not exist, or when theversion_uiddoes not exist.
Request Example for get/ehr/{ehr_id}/versioned_ehr_status/version/{version_uid}
curl https://cataniamc.prod.cadasto.com/openehr/v1/ehr/7d44b88c-4199-4bad-97dc-d78268e01398/versioned_ehr_status/version/6cb19121-4307-4648-9da0-d62e4d51f19b::cataniamc.prod.cadasto.com::2
{
"_type": "ORIGINAL_VERSION",
"contribution": {
"id": {
"_type": "OBJECT_VERSION_ID",
"value": "fb458d9c-1323-42bc-b7f8-787f3660a0b5::cataniamc.prod.cadasto.com::1"
},
"namespace": "local",
"type": "COMPOSITION"
},
"signature": "string",
"commit_audit": {
"system_id": "9624982A-9F42-41A5-9318-AE13D5F5031F",
"committer": {
"_type": "PARTY_IDENTIFIED",
"name": "A user name"
},
"time_committed": {
"value": "2017-08-15T10:37:15.422+02:00"
},
"change_type": {
"value": "creation",
"defining_code": {
"terminology_id": {
"value": "openehr"
},
"code_string": "249"
}
},
"description": {
"value": "Description text"
}
},
"data": {
"archetype_node_id": "openEHR-EHR-COMPOSITION.encounter.v1",
"name": {
"value": "Vital Signs"
},
"uid": {
"_type": "OBJECT_VERSION_ID",
"value": "8849182c-82ad-4088-a07f-48ead4180515::cataniamc.prod.cadasto.com::1"
},
"archetype_details": {
"archetype_id": {
"value": "openEHR-EHR-COMPOSITION.encounter.v1"
},
"template_id": {
"value": "Example.v1::c7ec861c-c413-39ff-9965-a198ebf44747"
},
"rm_version": "1.0.2"
},
"language": {
"terminology_id": {
"value": "ISO_639-1"
},
"code_string": "en"
},
"territory": {
"terminology_id": {
"value": "ISO_3166-1"
},
"code_string": "NL"
},
"category": {
"value": "event",
"defining_code": {
"terminology_id": {
"value": "openehr"
},
"code_string": "433"
}
},
"composer": {
"_type": "PARTY_IDENTIFIED",
"external_ref": {
"id": {
"_type": "GENERIC_ID",
"value": "16b74749-e6aa-4945-b760-b42bdc07098a",
"scheme": "pid"
},
"namespace": "cataniamc.prod.cadasto.com",
"type": "PERSON"
},
"name": "A name"
},
"context": {
"start_time": {
"value": "2014-11-18T09:50:35.000+01:00"
},
"setting": {
"value": "other care",
"defining_code": {
"terminology_id": {
"value": "openehr"
},
"code_string": "238"
}
}
},
"content": []
},
"uid": {
"_type": "UID_BASED_ID",
"value": "6cb19121-4307-4648-9da0-d62e4d51f19b::cataniamc.prod.cadasto.com::2"
},
"preceding_version_uid": {
"_type": "UID_BASED_ID",
"value": "6cb19121-4307-4648-9da0-d62e4d51f19b::cataniamc.prod.cadasto.com::2"
},
"other_input_version_uids": [
{
"_type": "UID_BASED_ID",
"value": "6cb19121-4307-4648-9da0-d62e4d51f19b::cataniamc.prod.cadasto.com::2"
}
],
"lifecycle_state": {
"value": "Coded text value",
"defining_code": {
"terminology_id": {
"value": "local"
},
"code_string": "at0001"
}
},
"attestations": [
{
"system_id": "9624982A-9F42-41A5-9318-AE13D5F5031F",
"committer": {
"_type": "PARTY_IDENTIFIED",
"name": "A user name"
},
"time_committed": {
"value": "2017-08-15T10:37:15.422+02:00"
},
"change_type": {
"value": "creation",
"defining_code": {
"terminology_id": {
"value": "openehr"
},
"code_string": "249"
}
},
"description": {
"value": "Description text"
}
}
]
}